<template>
  <MainCell title="生活缴费">
    <Grid square :gutter="20" :column-num="3" class="recharge-grid-wrapper">
      <GridItem class="recharge-grid-item" text="话费" @click="emit('phoneBillRecharge')">
        <img :src="IconFreePhone" class="recharge-grid-item-icon" />
      </GridItem>
      <GridItem class="recharge-grid-item" text="电费" @click="emit('electricityBillRecharge')">
        <img :src="IconFreeDian" class="recharge-grid-item-icon" />
      </GridItem>
      <GridItem class="recharge-grid-item" text="燃气" @click="emit('gasBillRecharge')">
        <img :src="IconFreeGas" class="recharge-grid-item-icon" />
      </GridItem>
    </Grid>
  </MainCell>
</template>

<script setup lang="ts">
import MainCell from '../../components/Layout/MainCell.vue';
import { Grid, GridItem } from '@nutui/nutui-taro';
import IconFreePhone from '../../assets/icon-free-phone.png';
import IconFreeDian from '../../assets/icon-free-dian.png';
import IconFreeGas from '../../assets/icon-free-gas.png';

defineOptions({
  name: 'RechargeGrid',
});

// type Props = {};

// const props = withDefaults(defineProps<Props>(), {});

const emit = defineEmits<{
  (e: 'phoneBillRecharge'): void;
  (e: 'electricityBillRecharge'): void;
  (e: 'gasBillRecharge'): void;
}>();
</script>
